// api文档： http://git.kingsome.cn/ops/promotion

import request from '@/utils/request'
import requestMp from '@/utils/request-mp'

// 获取广告位置信息
export function getAdPos(params) {
  return request({
    url: '/location',
    method: 'get',
    params,
  })
}

// 获取广告信息
export function getAd(params) {
  return request({
    url: '/promotion',
    method: 'get',
    params,
  })
}

// 添加广告
export function addAd(data) {
  return request({
    url: '/promotion',
    method: 'post',
    data,
  })
}

// 修改广告
export function updateAd(data) {
  return request({
    url: '/promotion',
    method: 'put',
    data,
  })
}

// 删除广告
export function delAd(data) {
  return request({
    url: '/promotion',
    method: 'delete',
    data,
  })
}


// 获取广告区域
export function getAdAreaList() {
  return requestMp({
    url: '/promotion/get-area',
    method: 'get',
  })
}


