import request from '@/utils/user-request'

export function login(data) {
  return request({
    url: '/ldap-login/',
    method: 'post',
    data,
  })
}

export function register(data) {
  return request({
    url: '/ldap-user-manage/',
    method: 'post',
    data,
  })
}

export function updateUser(data) {
  const id = data.id
  delete data.id
  return request({
    url: `/ldap-user-manage/${id}/`,
    method: 'patch',
    data,
  })
}

export function delUser(data) {
  const id = data.id
  return request({
    url: `/ldap-user-manage/${id}/`,
    method: 'delete',
    data: {
      o: 'pop-sys'
    }
  })
}

export function getInfo(params) {
  return request({
    url: '/ldap-user-manage/',
    method: 'get',
    params,
  })
}
