/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const adRouter = {
  path: '/ad',
  component: Layout,
  redirect: '/ad/list',
  name: 'ad',
  meta: {
    title: '广告投放',
    icon: 'ad',
  },
  children: [
    {
      path: 'list',
      component: () => import('@/views/ad/list'), // Parent router-view
      name: 'adList',
      meta: {title: '广告管理'},
    },
    {
      path: 'edit',
      component: () => import('@/views/ad/edit'), // Parent router-view
      name: 'adEdit',
      hidden: true,
      meta: {
        title: '广告编辑',
      },
    },
    {
      path: 'jump',
      component: () => import('@/views/ad/jump'), // Parent router-view
      name: 'adJump',
      meta: {
        title: '互跳管理',
      },
    },
    {
      path: 'game-list',
      component: () => import('@/views/ad/game-list'), // Parent router-view
      name: 'adGameList',
      meta: {
        title: 'AppID列表',
      },
    },
  ],
}

export default adRouter
