/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const adminRouter = {
  path: '/admin',
  component: Layout,
  redirect: '/admin/user-list',
  name: 'admin',
  meta: {
    title: '系统管理',
    icon: 'system',
    roles: ['admin']
  },
  children: [
    // {
    //   path: 'com-list',
    //   component: () => import('@/views/admin/com-list'), // Parent router-view
    //   name: 'adminComList',
    //   meta: {title: '公司列表'},
    // },
    {
      path: 'user-list',
      component: () => import('@/views/admin/user-list'), // Parent router-view
      name: 'adminUserList',
      meta: {
        title: '用户列表',
      },
    },
    // {
    //   path: 'ad-list',
    //   component: () => import('@/views/admin/ad-list'), // Parent router-view
    //   name: 'adminAdList',
    //   meta: {
    //     title: '广告列表',
    //   },
    // },
    // {
    //   path: 'jump',
    //   component: () => import('@/views/admin/jump'), // Parent router-view
    //   name: 'adminAdJump',
    //   meta: {
    //     title: '互跳管理',
    //   },
    // },
    // {
    //   path: 'game-list',
    //   component: () => import('@/views/admin/game-list'), // Parent router-view
    //   name: 'adminGameList',
    //   meta: {
    //     title: 'AppID列表',
    //   },
    // },
  ],
}

export default adminRouter
