/** When your routing table is too long, you can split it into small modules**/

import Layout from '@/layout'

const errorRouter = {
  path: '/err',
  component: Layout,
  redirect: '/404',
  children: [
    {
      path: '/404',
      component: () => import('@/views/error/404'),
      name: '404',
      hidden: true,
      meta: {title: '404'},
    },
    {
      path: '/403',
      component: () => import('@/views/error/403'),
      name: '403',
      hidden: true,
      meta: {title: '403'},
    },
    {
      path: '/500',
      component: () => import('@/views/error/500'),
      name: '500',
      hidden: true,
      meta: {title: '500'},
    },
  ],
}

export default errorRouter
